.event-promo {
    color: $black;
    text-align: center;
    padding: rem(40) 0;
    background: $white;
    font-size: rem(16);
    line-height: 145%;

    &__main {
        border-radius: 10px;
        padding: rem(20) rem(15);
        background: #F4F5F6 url('../img/promo_event_bg_sm.png') 100% 50% no-repeat;
        background-size: auto 100%;
    }

    &__header {
        font-weight: 600;
        font-size: rem(24);
        line-height: 145%;
        margin-bottom: rem(10);
    }

    &__text {
        margin-bottom: rem(25);
    }

    &__button {
        margin: 0 auto;
        max-width: rem(280);
    }

    @include media-breakpoint-up(md) {
        text-align: left;
        padding: rem(60) 0;
        position: relative;
        background: #F4F5F6;

        &:before {
            top: 0;
            left: 0;
            right: 0;
            bottom: 0;
            z-index: 1;
            content: '';
            transform: translateX(140px);
            position: absolute;
            background: url('../img/promo_event_bg_md.png') 100% 50% no-repeat;
            background-size: auto 100%;
        }

        &__wrap {
            z-index: 10;
            position: relative;
        }

        &__header {
            font-weight: 700;
            font-size: rem(32);
            margin-bottom: rem(30);
        }

        &__main {
            padding: 0;
            background: transparent;
        }

        &__text {
            width: rem(400);
            margin-bottom: rem(20);
        }

        &__button {
            margin: 0;
            width: rem(345);
            max-width: inherit;
        }
    }

    @include media-breakpoint-up(lg) {

        &:before {
            transform: translateX(0);
        }
    }

    @include media-breakpoint-up(xl) {
        font-size: rem(24);
        line-height: 145%;
        min-height: rem(495);
        display: flex;
        flex-direction: column;

        &__wrap {
            margin: auto 0;
        }

        &__header {
            font-size: rem(50);
            line-height: 120%;
        }

        &__text {
            width: rem(680);
        }
    }

    @include media-breakpoint-up(xxl) {}
}
